datan

## Class Gamma

- java.lang.Object
- - datan.Gamma

-     public final class Gamma
      extends java.lang.Object

  A class providing methods for computing the Gamma function and related functions
  Author:
    Siegmund Brandt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Gamma()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `beta(double z, double w)` returns Beta function
    `static double` | `binomial(int n, int k)` returns binomial coefficient
    `static double` | `gamma(double x)` returns Gamma function
    `static double` | `incompleteBeta(double aa, double bb, double xx)` returns incomplete Beta function
    `static double` | `incompleteGamma(double a, double x)` returns incomplete Gamma function
    `static double` | `logGamma(double x)` returns natural logarithm of Gamma function

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Gamma

          public Gamma()

  - ### Method Detail

    - #### gamma

          public static double gamma(double x)

      returns Gamma function

    - #### logGamma

          public static double logGamma(double x)

      returns natural logarithm of Gamma function

    - #### binomial

          public static double binomial(int n,
                        int k)

      returns binomial coefficient

    - #### incompleteGamma

          public static double incompleteGamma(double a,
                               double x)

      returns incomplete Gamma function

    - #### beta

          public static double beta(double z,
                    double w)

      returns Beta function

    - #### incompleteBeta

          public static double incompleteBeta(double aa,
                              double bb,
                              double xx)

      returns incomplete Beta function